package com.ruoyi.finance.shipping;


import com.ruoyi.common.annotation.Excel;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 凯和查询财务明细数据返回对象
 */
public class FinancialTFeeDoExcel implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 系统编号
     */
    @Excel(name = "系统编号")
    private String srcBillNo;
    /**
     * 客户名称
     */
    @Excel(name = "客户名称")
    private String fName;
    /**
     * 费用名称
     */
    @Excel(name = "费用名称")
    private String fFeeName;
    /**
     * 计价单位中文名
     */
    @Excel(name = "计价单位")
    private String fFeeUnitName;
    /**
     *数量
     */
    @Excel(name = "数量")
    private BigDecimal fQty;
    /**
     * 单价
     */
    @Excel(name = "单价")
    private BigDecimal fUnitPrice;
    /**
     * 应收金额
     */
    @Excel(name = "应收金额")
    private BigDecimal fAmtdr;

    /**
     * 实收金额
     */
    @Excel(name = "实收金额")
    private BigDecimal fAmt;
    /**
     * 船中文名
     */
    @Excel(name = "船名")
    private String fvslName;
    /**
     * 航次中文明
     */
    @Excel(name = "航次")
    private String fvoyName;
    /**
     * 箱型
     */
    @Excel(name = "箱型")
    private String cntrName;
    /**
     * 箱量
     */
    @Excel(name = "箱量")
    private BigDecimal fCntrCount;
    /**
     * 起运港中文名
     */
    @Excel(name = "起运港")
    private String fLoadPortName;
    /**
     * 目的港中文名
     */
    @Excel(name = "目的港")
    private String fDestPortName;
    /**
     * 备注
     */
    @Excel(name = "备注")
    private String fRemarks;
    /**
     * 费用id
     */
    private Long fId;

    /**
     * 父级id
     */
    private Long fPid;

    /**
     * 活动号
     */
    private Long fActId;

    /**
     * 行号
     */
    private Long fLineno;

    /**
     * 来源id
     */
    private Long fSrcid;

    /**
     * 来源行号
     */
    private Long fSrclineno;

    /**
     * 来源id
     */
    private Long fSrcpid;

    /**
     * 收、付
     */
    private String fSrcdc;

    /**
     * 费用id
     */
    private Long fFeeid;

    /**
     * 状态(默认 T ,正常T 停用F 下拉选择)
     */
    private String fStatus;

    /**
     * 删除状态
     */
    private String delFlag;

    /**
     * 已处理金额
     */
    private BigDecimal fAmtStl;

    /**
     * 剩余金额
     */
    private BigDecimal fAmtBlc;
    /**
     * 创建者
     */
    private String createBy;

    /**
     * 创建时间
     */
    private Date createTime;

    /**
     * 更新者
     */
    private String updateBy;

    /**
     * 更新时间
     */
    private Date updateTime;
    /**
     * 收付中文名
     */
    private String fSrcdcName;
    /**
     * 状态中文名
     */
    private String fBillStatusName;
    /**
     * 计价单位id
     */
    private Long fFeeUnitId;

    /**
     * 船id
     */
    private Long fVslid;
    /**
     * 航次id
     */
    private Long fVoyid;
    /**
     * 起运港id
     */
    private Long fLoadportid;
    /**
     * 目的港id
     */
    private Long fDestportid;
    /**
     * 金额
     */
    private BigDecimal fAmount;
    /**
     * 商品名
     */
    private String goodName;

    public String getSrcBillNo() {
        return srcBillNo;
    }

    public void setSrcBillNo(String srcBillNo) {
        this.srcBillNo = srcBillNo;
    }

    public String getfName() {
        return fName;
    }

    public void setfName(String fName) {
        this.fName = fName;
    }

    public String getfFeeName() {
        return fFeeName;
    }

    public void setfFeeName(String fFeeName) {
        this.fFeeName = fFeeName;
    }

    public String getfFeeUnitName() {
        return fFeeUnitName;
    }

    public void setfFeeUnitName(String fFeeUnitName) {
        this.fFeeUnitName = fFeeUnitName;
    }

    public BigDecimal getfQty() {
        return fQty;
    }

    public void setfQty(BigDecimal fQty) {
        this.fQty = fQty;
    }

    public BigDecimal getfUnitPrice() {
        return fUnitPrice;
    }

    public void setfUnitPrice(BigDecimal fUnitPrice) {
        this.fUnitPrice = fUnitPrice;
    }

    public BigDecimal getfAmtdr() {
        return fAmtdr;
    }

    public void setfAmtdr(BigDecimal fAmtdr) {
        this.fAmtdr = fAmtdr;
    }

    public BigDecimal getfAmt() {
        return fAmt;
    }

    public void setfAmt(BigDecimal fAmt) {
        this.fAmt = fAmt;
    }

    public String getFvslName() {
        return fvslName;
    }

    public void setFvslName(String fvslName) {
        this.fvslName = fvslName;
    }

    public String getFvoyName() {
        return fvoyName;
    }

    public void setFvoyName(String fvoyName) {
        this.fvoyName = fvoyName;
    }

    public String getCntrName() {
        return cntrName;
    }

    public void setCntrName(String cntrName) {
        this.cntrName = cntrName;
    }

    public BigDecimal getfCntrCount() {
        return fCntrCount;
    }

    public void setfCntrCount(BigDecimal fCntrCount) {
        this.fCntrCount = fCntrCount;
    }

    public String getfLoadPortName() {
        return fLoadPortName;
    }

    public void setfLoadPortName(String fLoadPortName) {
        this.fLoadPortName = fLoadPortName;
    }

    public String getfDestPortName() {
        return fDestPortName;
    }

    public void setfDestPortName(String fDestPortName) {
        this.fDestPortName = fDestPortName;
    }

    public String getfRemarks() {
        return fRemarks;
    }

    public void setfRemarks(String fRemarks) {
        this.fRemarks = fRemarks;
    }

    public Long getfId() {
        return fId;
    }

    public void setfId(Long fId) {
        this.fId = fId;
    }

    public Long getfPid() {
        return fPid;
    }

    public void setfPid(Long fPid) {
        this.fPid = fPid;
    }

    public Long getfActId() {
        return fActId;
    }

    public void setfActId(Long fActId) {
        this.fActId = fActId;
    }

    public Long getfLineno() {
        return fLineno;
    }

    public void setfLineno(Long fLineno) {
        this.fLineno = fLineno;
    }

    public Long getfSrcid() {
        return fSrcid;
    }

    public void setfSrcid(Long fSrcid) {
        this.fSrcid = fSrcid;
    }

    public Long getfSrclineno() {
        return fSrclineno;
    }

    public void setfSrclineno(Long fSrclineno) {
        this.fSrclineno = fSrclineno;
    }

    public Long getfSrcpid() {
        return fSrcpid;
    }

    public void setfSrcpid(Long fSrcpid) {
        this.fSrcpid = fSrcpid;
    }

    public String getfSrcdc() {
        return fSrcdc;
    }

    public void setfSrcdc(String fSrcdc) {
        this.fSrcdc = fSrcdc;
    }

    public Long getfFeeid() {
        return fFeeid;
    }

    public void setfFeeid(Long fFeeid) {
        this.fFeeid = fFeeid;
    }

    public String getfStatus() {
        return fStatus;
    }

    public void setfStatus(String fStatus) {
        this.fStatus = fStatus;
    }

    public String getDelFlag() {
        return delFlag;
    }

    public void setDelFlag(String delFlag) {
        this.delFlag = delFlag;
    }

    public BigDecimal getfAmtStl() {
        return fAmtStl;
    }

    public void setfAmtStl(BigDecimal fAmtStl) {
        this.fAmtStl = fAmtStl;
    }

    public BigDecimal getfAmtBlc() {
        return fAmtBlc;
    }

    public void setfAmtBlc(BigDecimal fAmtBlc) {
        this.fAmtBlc = fAmtBlc;
    }

    public String getCreateBy() {
        return createBy;
    }

    public void setCreateBy(String createBy) {
        this.createBy = createBy;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public String getUpdateBy() {
        return updateBy;
    }

    public void setUpdateBy(String updateBy) {
        this.updateBy = updateBy;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    public String getfSrcdcName() {
        return fSrcdcName;
    }

    public void setfSrcdcName(String fSrcdcName) {
        this.fSrcdcName = fSrcdcName;
    }

    public String getfBillStatusName() {
        return fBillStatusName;
    }

    public void setfBillStatusName(String fBillStatusName) {
        this.fBillStatusName = fBillStatusName;
    }

    public Long getfFeeUnitId() {
        return fFeeUnitId;
    }

    public void setfFeeUnitId(Long fFeeUnitId) {
        this.fFeeUnitId = fFeeUnitId;
    }

    public Long getfVslid() {
        return fVslid;
    }

    public void setfVslid(Long fVslid) {
        this.fVslid = fVslid;
    }

    public Long getfVoyid() {
        return fVoyid;
    }

    public void setfVoyid(Long fVoyid) {
        this.fVoyid = fVoyid;
    }

    public Long getfLoadportid() {
        return fLoadportid;
    }

    public void setfLoadportid(Long fLoadportid) {
        this.fLoadportid = fLoadportid;
    }

    public Long getfDestportid() {
        return fDestportid;
    }

    public void setfDestportid(Long fDestportid) {
        this.fDestportid = fDestportid;
    }

    public BigDecimal getfAmount() {
        return fAmount;
    }

    public void setfAmount(BigDecimal fAmount) {
        this.fAmount = fAmount;
    }

    public String getGoodName() {
        return goodName;
    }

    public void setGoodName(String goodName) {
        this.goodName = goodName;
    }

    @Override
    public String toString() {
        return "FinancialTFeeDoExcel{" +
                "srcBillNo='" + srcBillNo + '\'' +
                ", fName='" + fName + '\'' +
                ", fFeeName='" + fFeeName + '\'' +
                ", fFeeUnitName='" + fFeeUnitName + '\'' +
                ", fQty=" + fQty +
                ", fUnitPrice=" + fUnitPrice +
                ", fAmtdr=" + fAmtdr +
                ", fAmt=" + fAmt +
                ", fvslName='" + fvslName + '\'' +
                ", fvoyName='" + fvoyName + '\'' +
                ", cntrName='" + cntrName + '\'' +
                ", fCntrCount=" + fCntrCount +
                ", fLoadPortName='" + fLoadPortName + '\'' +
                ", fDestPortName='" + fDestPortName + '\'' +
                ", fRemarks='" + fRemarks + '\'' +
                ", fId=" + fId +
                ", fPid=" + fPid +
                ", fActId=" + fActId +
                ", fLineno=" + fLineno +
                ", fSrcid=" + fSrcid +
                ", fSrclineno=" + fSrclineno +
                ", fSrcpid=" + fSrcpid +
                ", fSrcdc='" + fSrcdc + '\'' +
                ", fFeeid=" + fFeeid +
                ", fStatus='" + fStatus + '\'' +
                ", delFlag='" + delFlag + '\'' +
                ", fAmtStl=" + fAmtStl +
                ", fAmtBlc=" + fAmtBlc +
                ", createBy='" + createBy + '\'' +
                ", createTime=" + createTime +
                ", updateBy='" + updateBy + '\'' +
                ", updateTime=" + updateTime +
                ", fSrcdcName='" + fSrcdcName + '\'' +
                ", fBillStatusName='" + fBillStatusName + '\'' +
                ", fFeeUnitId=" + fFeeUnitId +
                ", fVslid=" + fVslid +
                ", fVoyid=" + fVoyid +
                ", fLoadportid=" + fLoadportid +
                ", fDestportid=" + fDestportid +
                ", fAmount=" + fAmount +
                ", goodName=" + goodName +
                '}';
    }
}
